> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List form submissions

> Form submissions for authorized sites

## Pagination
Use `page[number]` and `page[size]` parameters to paginate results:
### Get first page of 10 items
* `GET /v1/form_submissions?page[number]=1&page[size]=10`
### Get second page of 25 items
* `GET /v1/form_submissions?page[number]=2&page[size]=25`

The response includes pagination links and meta data:
```json
{
  "links": {
    "self": "https://api.kajabi.com/v1/form_submissions?page[number]=2&page[size]=10",
    "first": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
    "prev": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
    "next": "https://api.kajabi.com/v1/form_submissions?page[number]=3&page[size]=10",
    "last": "https://api.kajabi.com/v1/form_submissions?page[number]=5&page[size]=10"
  },
  "meta": {
    "total_pages": 5,
    "total_count": 50,
    "current_page": 2
  }
}
```

## Filtering
Use filter parameters to narrow down results:
### Filter by site ID
* `GET /v1/form_submissions?filter[site_id]=123`
### Filter by form ID
* `GET /v1/form_submissions?filter[form_id]=456`

## Sorting
Use the `sort` parameter to sort results:
### Sort by creation date (oldest first)
* `GET /v1/form_submissions?sort=created_at`
### Sort by name (alphabetical)
* `GET /v1/form_submissions?sort=name`




## OpenAPI

````yaml /openapi.yaml get /v1/form_submissions
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/form_submissions:
    get:
      tags:
        - Forms
      summary: List form submissions
      description: |
        Form submissions for authorized sites

        ## Pagination
        Use `page[number]` and `page[size]` parameters to paginate results:
        ### Get first page of 10 items
        * `GET /v1/form_submissions?page[number]=1&page[size]=10`
        ### Get second page of 25 items
        * `GET /v1/form_submissions?page[number]=2&page[size]=25`

        The response includes pagination links and meta data:
        ```json
        {
          "links": {
            "self": "https://api.kajabi.com/v1/form_submissions?page[number]=2&page[size]=10",
            "first": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
            "prev": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
            "next": "https://api.kajabi.com/v1/form_submissions?page[number]=3&page[size]=10",
            "last": "https://api.kajabi.com/v1/form_submissions?page[number]=5&page[size]=10"
          },
          "meta": {
            "total_pages": 5,
            "total_count": 50,
            "current_page": 2
          }
        }
        ```

        ## Filtering
        Use filter parameters to narrow down results:
        ### Filter by site ID
        * `GET /v1/form_submissions?filter[site_id]=123`
        ### Filter by form ID
        * `GET /v1/form_submissions?filter[form_id]=456`

        ## Sorting
        Use the `sort` parameter to sort results:
        ### Sort by creation date (oldest first)
        * `GET /v1/form_submissions?sort=created_at`
        ### Sort by name (alphabetical)
        * `GET /v1/form_submissions?sort=name`
      parameters:
        - name: sort
          in: query
          required: false
          description: >-
            Sort order, use: name, email, created_at. For descending order use
            '-' e.g. &sort=-name
          schema:
            type: string
        - name: page[number]
          in: query
          required: false
          schema:
            type: integer
        - name: page[size]
          in: query
          required: false
          description: Number of documents
          schema:
            type: integer
        - name: filter[site_id]
          in: query
          required: false
          description: 'Filter by site ID, example: filter[site_id]=123'
          schema:
            type: string
        - name: filter[form_id]
          in: query
          required: false
          description: 'Filter by form ID, example: filter[form_id]=456'
          schema:
            type: string
      responses:
        '200':
          description: Success, filtered by form_id
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/form_submissions_index_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    form_submissions_index_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                $ref: '#/components/schemas/form_submission_attributes'
              relationships:
                type: object
                properties:
                  site:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
                  form:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    form_submission_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````